csSphere Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
csSphere Class Reference
Geometry utilities

This class represents a sphere. More...

`#include <csgeom/sphere.h>`

List of all members.

## Public Member Functions
| csSphere ()
| Create a new empty sphere at (0,0,0).
| csSphere (const csVector3 &center, float radius)
| Create a new sphere.
| csSphere (const csSphere &s)
| Copy Constructor.
csVector3 & | GetCenter ()
| Get the center of this sphere.
const csVector3 & | GetCenter () const
| Get the center of this sphere.
float | GetRadius () const
| Get the radius of this sphere.
csSphere & | operator+= (const csSphere &s)
| Calculate the union of this sphere and another one.
void | SetCenter (const csVector3 &c)
| Set the center of this sphere.
void | SetRadius (float r)
| Set the radius of this sphere.
bool | TestIntersect (const csSphere &sphere) const
| Test if the two spheres have an intersection.
void | Union (const csVector3 &ocenter, float oradius)
| Calculate the union of this sphere and another.
## Friends
csSphere | operator+ (const csSphere &s1, const csSphere &s2)
| Calculate the union of two spheres.

## Detailed Description

This class represents a sphere.

Definition at line 40 of file sphere.h.

## Constructor & Destructor Documentation

csSphere::csSphere | ( |  | ) | `[inline]`

Create a new empty sphere at (0,0,0).

Definition at line 48 of file sphere.h.

csSphere::csSphere | ( | const csVector3 & | center,
|  | float | radius
| ) |  | `[inline]`

Create a new sphere.

Definition at line 55 of file sphere.h.

csSphere::csSphere | ( | const csSphere & | s | ) | `[inline]`

Copy Constructor.

Definition at line 62 of file sphere.h.

## Member Function Documentation

csVector3& csSphere::GetCenter | ( |  | ) | `[inline]`

Get the center of this sphere.

Definition at line 65 of file sphere.h.

const csVector3& csSphere::GetCenter | ( |  | ) | const`[inline]`

Get the center of this sphere.

Definition at line 67 of file sphere.h.

float csSphere::GetRadius | ( |  | ) | const`[inline]`

Get the radius of this sphere.

Definition at line 71 of file sphere.h.

csSphere& csSphere::operator+= | ( | const csSphere & | s | ) | `[inline]`

Calculate the union of this sphere and another one.

Definition at line 82 of file sphere.h.

void csSphere::SetCenter | ( | const csVector3 & | c | ) | `[inline]`

Set the center of this sphere.

Definition at line 69 of file sphere.h.

void csSphere::SetRadius | ( | float | r | ) | `[inline]`

Set the radius of this sphere.

Definition at line 73 of file sphere.h.

bool csSphere::TestIntersect | ( | const csSphere & | sphere | ) | const`[inline]`

Test if the two spheres have an intersection.

Definition at line 89 of file sphere.h.

void csSphere::Union | ( | const csVector3 & | ocenter,
|  | float | oradius
| ) |  |

Calculate the union of this sphere and another.

## Friends And Related Function Documentation

csSphere operator+ | ( | const csSphere & | s1,
|  | const csSphere & | s2
| ) |  | `[friend]`

Calculate the union of two spheres.

The documentation for this class was generated from the following file:

- csgeom/sphere.h